Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1575634 (CVE-2018-0494) - CVE-2018-0494 wget: Cookie injection allows malicious website to write arbitrary cookie entries into cookie jar
Summary: CVE-2018-0494 wget: Cookie injection allows malicious website to write arbitr...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-0494
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1575635 1575636 1576104 1576105 1576106
Blocks: 1575637
TreeView+ depends on / blocked
 
Reported: 2018-05-07 13:36 UTC by Adam Mariš
Modified: 2021-06-10 16:05 UTC (History)
3 users (show)

Fixed In Version: wget 1.19.5
Doc Type: If docs needed, set a value
Doc Text:
A cookie injection flaw was found in wget. An attacker can create a malicious website which, when accessed, overrides cookies belonging to arbitrary domains.
Clone Of:
Environment:
Last Closed: 2019-06-10 10:21:28 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3052 0 None None None 2018-10-30 07:25:17 UTC

Description Adam Mariš 2018-05-07 13:36:24 UTC
It was found that GNU Wget is susceptible to a malicious web server injecting arbitrary cookies to the cookie jar file.

Normally a website should not be able to set cookies for other domains. Due to insufficient input validation GNU Wget can be tricked into storing arbitrary cookie values to the cookie jar file, bypassing this security restriction.

An external attacker is able to inject arbitrary cookie values into cookie jar file, adding new or replacing existing cookie values.

Upstream patch:

https://git.savannah.gnu.org/cgit/wget.git/commit/?id=1fc9c95ec144499e69dc8ec76dbe07799d7d82cd

References (PoC included):

http://openwall.com/lists/oss-security/2018/05/06/1

Comment 1 Adam Mariš 2018-05-07 13:36:49 UTC
Created wget tracking bugs for this issue:

Affects: fedora-all [bug 1575635]

Comment 6 errata-xmlrpc 2018-10-30 07:25:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3052 https://access.redhat.com/errata/RHSA-2018:3052


Note You need to log in before you can comment on or make changes to this bug.